package be.iminds.ilabt.jfed.experimenter_gui.events;

import java.io.InputStream;

/**
 * User: twalcari
 * Date: 6/25/2015
 * Time: 17:43
 */
public class OpenRequestRspecFromInputStreamEvent {

    private final InputStream inputStream;
    private final long length;
    private final String fileName;

    public OpenRequestRspecFromInputStreamEvent(InputStream inputStream, long length, String fileName) {
        this.inputStream = inputStream;
        this.length = length;
        this.fileName = fileName;
    }

    public InputStream getInputStream() {
        return inputStream;
    }

    public long getLength() {
        return length;
    }

    public String getFileName() {
        return fileName;
    }

    @Override
    public String toString() {
        return "OpenRequestRspecFromInputStreamEvent{" +
                "inputStream=" + inputStream +
                ", length=" + length +
                ", fileName='" + fileName + '\'' +
                '}';
    }
}
